# SiteDash

## Introduction

The **SiteDash** module integrates your Drupal site with the SiteDash.io
monitoring and dashboard service. This module allows you to easily connect
your site to SiteDash, which provides monitoring, reporting, and management
tools for Drupal websites.

## Features

- Simple authentication with SiteDash.io service
- Integration with Audit Export Post module for sending site data to SiteDash
- Automatic configuration of remote posting settings
- Secure connection with site-specific keys

## Requirements

- Drupal 10.x or 11.x
- Audit Export module (and its submodules)
- SiteDash.io account with authentication token

## Installation

1. Install the module using Composer:

```bash
composer require drupal/sitedash
```

2. Enable the module and its dependencies:

```bash
drush en sitedash -y
```

3. Navigate to the SiteDash configuration page at
`/admin/config/services/sitedash`.

4. Enter your SiteDash token and click "Authenticate".

## Configuration

1. **Authentication**: Enter your SiteDash token to connect your site
with the SiteDash service.

2. **Remote Post Override**: Enable this option to have SiteDash manage the
Audit Export remote post settings. When enabled, SiteDash will:
  - Set the correct endpoint for posting audit data
  - Configure authentication headers
  - Attach required site identifiers to all posts

## Integration with Audit Export

This module integrates with the Audit Export module to send site audit
information to SiteDash. The integration occurs through hooks that:

1. Override the remote post URL to point to SiteDash's API
2. Add authentication headers to requests
3. Include site-specific identifiers in the audit data

No manual configuration of the Audit Export module is required when the
"Override Remote Post" option is enabled.

## Troubleshooting

If you encounter issues with the SiteDash integration:

1. Check that your SiteDash token is correct.
2. Verify that the Audit Export Post module is installed and enabled.
3. If necessary, use the "Reset Site Key" button to re-initialize the SiteDash
connection.
4. Check your site's logs for any errors related to the SiteDash API
connection.

## Maintainers

- [SiteDash Team](https://sitedash.io)
